Public Support - Support Request #11862

How to get console.log() output from Javascript/QML
2020-08-05 17:30 - hidden

Status: Closed

Priority: Normal

Category:

Customer: AUDI Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-10621

Department: EF Affected Products: ADTF 3.8.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 3rd Level Topic: ADTF::Common

Resolution: Workaround Available FAQ Links:

Description

Supportanfrage

We are trying to follow one of ADTF-examples, in which the pins are dynamically created via right-click on Filter, and "Create pins
from playback files" (Figure 1). This in turns calls a .gml script (adtf_playback_input_filtereditor.gml in Figure 2) and generates
dynamic pins.

As we are following the same process, and writing our own gml, | wanted to ask where do we see the console.log() information that is
logged inside the gml skript? This Info. does not appear in ADTF-Log-View.
We are thankful for your help.

Lésung

The javascript console is not rerouted and prints directly to the terminal of the OS.
When using windows unfortunately there is no terminal window.

A possible solution is to use Visual Studio and attach the the Configuration-Editor.

Then the log messages will be readable within he Visual Studio Output Window.

We are currently working on a solution to address this problem.

History

#1 - 2020-08-06 15:28 - hidden

- Project changed from Public Support to 11
- Description updated

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to AUDI

- Department set to EF

#2 - 2020-08-06 15:42 - hidden

- Status changed from In Progress to Customer Feedback Required

Hello Faisal,

the javascript console is not rerouted and prints directly to the terminal of the OS.
When using windows unfortunately there is no terminal window.

A possible solution is to use Visual Studio and attach the the Configuration-Editor.
Then the log messages will be readable within he Visual Studio Output Window.
We are currently working on a solution to address this problem.

Kind Regards,
Sebastian Stern

#3 - 2020-08-07 14:15 - hidden

Hello Sebastian,
Thanks for your reply. | followed your suggestion to use Visual Studio, and | can see the logs in VS-output.

Best regards,
Faisal

#4 - 2020-08-10 08:27 - hidden

- Status changed from Customer Feedback Required to To Be Closed
- Resolution set to Workaround Available

- Affected Products ADTF 3.8.0 added

- Platform Windows 10 64bit added

Hello Faisal,

glad this helped. As soon as there is another method to read the javascript logs in the Configuration-Editor, it will be announced in the Release-Notes
of an upcoming ADTF 3.X Version.

Kind Regards
Sebastian

#5 - 2020-08-10 08:32 - hidden

- Project changed from 11 to Public Support

- Subject changed from Inquiry about gml console.log() output to How to get console.log() output from Javascript/QML
- Description updated

- Private changed from Yes to No

- Support Level changed from 2nd Level to 3rd Level

#6 - 2020-08-10 08:41 - hidden
- Product Issue Numbers set to ACORE-10621

#7 - 2020-08-10 16:51 - hidden
- Product Issue Numbers changed from ACORE-10621 to https.://www.cip.audi.de/jira/browse/ACORE-10621

#8 - 2020-10-06 10:27 - hidden
- Status changed from To Be Closed to Closed
